# Based on spec created by pyp2rpm-2.0.0
%global pypi_name yamllint

Name:           %{pypi_name}
Version:        0.7.2
Release:        1%{?dist}
Summary:        A linter for YAML files

License:        GPLv3
URL:            https://github.com/adrienverge/yamllint
Source0:        https://pypi.python.org/packages/source/y/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python3-PyYAML

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-PyYAML

%description
A linter for YAML files.

yamllint does not only check for syntax validity, but
for weirdnesses like key
repetition and cosmetic problems such as lines length,
trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# 0.7.2 is missing a file it uses for spec example tests
# https://github.com/adrienverge/yamllint/issues/1
rm tests/test_spec_examples.py

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%check
%{__python3} setup.py test

%files
%doc README.rst
%{_bindir}/yamllint
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%exclude %{python3_sitelib}/tests

%changelog
* Thu Feb 18 2016 Adam Miller <maxamillion@gmail.com> - 0.7.2-1
- Initial package.
